Jump to content
OpenRCT2

Launcher suddenly wont work, Security certificate expired?


Recommended Posts

I opened up the OpenRCT2 Launcher to be informed that there was a problem with the site's security certificate.  I couldnt load the application.  I tried to uninstall and reinstall the launcher, but upon trying to install the launcher again, I get redirected to a page with this message:  "The owner of openrct.net has configured their website improperly. To protect your information from being stolen, Firefox has not connected to this website."  I'm not sure why this is happening, as the launcher has worked just fine before.  Anyone know what the problem could be?

Link to post
49 minutes ago, Broxzier said:

Updates should never not work, they're needed to keep your system secure, as well as adding support for newer programs.

It's common for updates to break things older then it. Look at things like Sim City 2k and Streets. (Probably not a good example...)

Link to post

The new launcher works, but it soesn't have the 'ask before update' option. Shouldn't cause too much trouble if it isn't as unstable as the old one with bad internet.

I can still run RCT1 made for win 95/98. Installers have an option for all kinds of compatibility modes too. But still, it sometimes just fails.

Is it possible to manually install the missing files without updating / installing VS? I've done that for some games too that wanted a file that was removed after winXP.

Link to post

@JarnoVgr  Thanks for the alternate launcher, but I cant get the thing to run.  pressing play brings up the command prompt, but nothing else.  Im using a Windows 10 and tried the win.exe version, and I didn't touch the options tab either.  Did I do something wrong?

Link to post

@jensj12 The file it needs is probably linked to another file, because I used to download .dll files all the time when they were needed, and in this case the launcher immediately shows that the file I downloaded is not showing certain things in it's dynamic link library. 

I'll try updating once again, but I think I'll just stick to downloading builds manually.

Link to post
5 hours ago, Millionaire2K said:

What do I need to do?  I'm confused.  I has the launcher installed for a while no with no issues.  I have it set to give me stable builds only.  Now I get an error starting launcher "Content was blocked because it was not signed by a valid security certificate."

The launcher itself is pretty much broken now, it won't download new builds for you. Here's one that is working and is meant as replacement for the old, broken launcher:

On 26-4-2016 at 17:49, JarnoVgr said:

You guys should consider to use this launcher instead: https://github.com/LRFLEW/OpenRCT2Launcher/releases/latest

Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...